## stereo stereo |

## Properties

gboolean | active | Read / Write
gfloat | stereo | Read / Write

## Types and Values

struct | GstStereo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstStereo

## Description

Create a wide stereo effect.

#### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=sine.ogg ! oggdemux ! vorbisdec ! audioconvert ! stereo ! audioconvert ! audioresample ! alsasink

Play an Ogg/Vorbis file.

## Synopsis

### Element Information

plugin | stereo
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)2

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)2

## Functions

## Types and Values

### struct GstStereo

    struct GstStereo;

## Property Details

### The `“active”` property

      “active”                   gboolean

active.

Flags: Read / Write

Default value: TRUE

### The `“stereo”` property

      “stereo”                   gfloat

stereo.

Flags: Read / Write

Allowed values: [0,1]

Default value: 0.1